edu.whs.spin2018.baoapp.utilities

## Class SharedPrefUtils

- java.lang.Object
- - edu.whs.spin2018.baoapp.utilities.SharedPrefUtils

-     public final class SharedPrefUtils
      extends java.lang.Object

  Hilfsklasse um auf die SharedPrefernces zuzugreifen und die zu bearbeiten.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `gibBenutzername(android.content.Context context)` Gibt den Benutzernamen, der in den SharedPreferences gespeichert ist.
    `static java.lang.String` | `gibUUID(android.content.Context context)` Gibt die UUID, die in den SharedPreferences gepeichert ist.
    `static void` | `setzeBenutzernamen(android.content.Context context, java.lang.String name)` Speichert einen neuen Benutzernamen in den SharedPreferences
    `static void` | `setzteUUID(android.content.Context context)` Speichert eine neue UUID in den SharedPreferences

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### gibBenutzername

          public static java.lang.String gibBenutzername(android.content.Context context)

      Gibt den Benutzernamen, der in den SharedPreferences gespeichert ist.
      Parameters:
        `context` - - context um auf die SharedPreferences zuzugreifen
      Returns:
        Benutzername, der in den SharedPreferences gespeichert ist

    - #### gibUUID

          public static java.lang.String gibUUID(android.content.Context context)

      Gibt die UUID, die in den SharedPreferences gepeichert ist.
      Parameters:
        `context` - - context um auf die SharedPreferences zuzugreifen
      Returns:
        UUID, die in den SharedPreferences gespeichert ist

    - #### setzeBenutzernamen

          public static void setzeBenutzernamen(android.content.Context context,
                                                java.lang.String name)

      Speichert einen neuen Benutzernamen in den SharedPreferences
      Parameters:
        `context` - - context um auf die SharedPreferences zuzugreifen
        `name` - - neuer Benutzername, der in den SharedPreferences gespeichert werden soll

    - #### setzteUUID

          public static void setzteUUID(android.content.Context context)

      Speichert eine neue UUID in den SharedPreferences
      Parameters:
        `context` - - context um auf die SharedPreferences zuzugreifen